### Hierarchy

- QueryScroller

## Index

### Constructors

- constructor

### Properties

- _buffer
- _defaultPageSize
- _dialog
- _firstRecordId
- _firstResultRecordId
- _hasMoreBackward
- _hasMoreForward
- _markerOptions
- _nextPagePromise
- _prevPagePromise
- _refreshPromise

### Accessors

- buffer
- bufferWithMarkers
- dialog
- firstRecordId
- hasMoreBackward
- hasMoreForward
- isComplete
- isCompleteAndEmpty
- isEmpty
- pageSize

### Methods

- clear
- pageBackward
- pageForward
- refresh
- trimFirst
- trimLast

## Constructors

### constructor

- new QueryScroller(_dialog: QueryDialog, _defaultPageSize: number, _firstRecordId: string, _markerOptions?: QueryMarkerOption[]): QueryScroller

- - Defined in models/QueryScroller.ts:33

  #### Parameters

  - ##### _dialog: QueryDialog

  - ##### _defaultPageSize: number

  - ##### _firstRecordId: string

  - ##### Default value _markerOptions: QueryMarkerOption[] = []

  #### Returns QueryScroller

## Properties

### Private _buffer

_buffer: Record[]

- Defined in models/QueryScroller.ts:27

### Private _defaultPageSize

_defaultPageSize: number

- Defined in models/QueryScroller.ts:37

### Private _dialog

_dialog: QueryDialog

- Defined in models/QueryScroller.ts:36

### Private _firstRecordId

_firstRecordId: string

- Defined in models/QueryScroller.ts:38

### Private _firstResultRecordId

_firstResultRecordId: string

- Defined in models/QueryScroller.ts:33

### Private _hasMoreBackward

_hasMoreBackward: boolean

- Defined in models/QueryScroller.ts:28

### Private _hasMoreForward

_hasMoreForward: boolean

- Defined in models/QueryScroller.ts:29

### Private _markerOptions

_markerOptions: QueryMarkerOption[]

- Defined in models/QueryScroller.ts:39

### Private _nextPagePromise

_nextPagePromise: Promise<RecordSet>

- Defined in models/QueryScroller.ts:30

### Private _prevPagePromise

_prevPagePromise: Promise<RecordSet>

- Defined in models/QueryScroller.ts:31

### Private _refreshPromise

_refreshPromise: Promise<Record[]>

- Defined in models/QueryScroller.ts:32

## Accessors

### buffer

- get buffer(): Record[]

- - Defined in models/QueryScroller.ts:44

  #### Returns Record[]

### bufferWithMarkers

- get bufferWithMarkers(): Record[]

- - Defined in models/QueryScroller.ts:48

  #### Returns Record[]

### dialog

- get dialog(): QueryDialog

- - Defined in models/QueryScroller.ts:71

  #### Returns QueryDialog

### firstRecordId

- get firstRecordId(): string

- - Defined in models/QueryScroller.ts:75

  #### Returns string

### hasMoreBackward

- get hasMoreBackward(): boolean

- - Defined in models/QueryScroller.ts:79

  #### Returns boolean

### hasMoreForward

- get hasMoreForward(): boolean

- - Defined in models/QueryScroller.ts:83

  #### Returns boolean

### isComplete

- get isComplete(): boolean

- - Defined in models/QueryScroller.ts:87

  #### Returns boolean

### isCompleteAndEmpty

- get isCompleteAndEmpty(): boolean

- - Defined in models/QueryScroller.ts:91

  #### Returns boolean

### isEmpty

- get isEmpty(): boolean

- - Defined in models/QueryScroller.ts:95

  #### Returns boolean

### pageSize

- get pageSize(): number

- - Defined in models/QueryScroller.ts:161

  #### Returns number

## Methods

### Private clear

- clear(): void

- - Defined in models/QueryScroller.ts:201

  #### Returns void

### pageBackward

- pageBackward(pageSize?: number): Promise<Record[]>

- - Defined in models/QueryScroller.ts:99

  #### Parameters

  - ##### Default value pageSize: number = this.pageSize

  #### Returns Promise<Record[]>

### pageForward

- pageForward(pageSize?: number): Promise<Record[]>

- - Defined in models/QueryScroller.ts:130

  #### Parameters

  - ##### Default value pageSize: number = this.pageSize

  #### Returns Promise<Record[]>

### refresh

- refresh(numRows?: number): Promise<Record[]>

- - Defined in models/QueryScroller.ts:165

  #### Parameters

  - ##### Default value numRows: number = this.pageSize

  #### Returns Promise<Record[]>

### trimFirst

- trimFirst(n: number): void

- - Defined in models/QueryScroller.ts:183

  #### Parameters

  - ##### n: number

  #### Returns void

### trimLast

- trimLast(n: number): void

- - Defined in models/QueryScroller.ts:192

  #### Parameters

  - ##### n: number

  #### Returns void

Generated using TypeDoc